Orxonox: TiXmlAttributeSet Class Reference

# TiXmlAttributeSet Class Reference

`#include <src/tinyxml/tinyxml.h>`

List of all members.

## Public Member Functions

void | Add (TiXmlAttribute *attribute)
TiXmlAttribute * | Find (const char *_name)
const TiXmlAttribute * | Find (const char *_name) const
TiXmlAttribute * | First ()
const TiXmlAttribute * | First () const
TiXmlAttribute * | Last ()
const TiXmlAttribute * | Last () const
void | Remove (TiXmlAttribute *attribute)
| TiXmlAttributeSet ()
| ~TiXmlAttributeSet ()

## Private Member Functions

void | operator= (const TiXmlAttributeSet &)
| TiXmlAttributeSet (const TiXmlAttributeSet &)

## Private Attributes

TiXmlAttribute | sentinel

## Constructor & Destructor Documentation

TiXmlAttributeSet::TiXmlAttributeSet | ( |  | ) |

References TiXmlAttribute::next, TiXmlAttribute::prev, and sentinel.

TiXmlAttributeSet::~TiXmlAttributeSet | ( |  | ) |

References TiXmlAttribute::next, TiXmlAttribute::prev, and sentinel.

TiXmlAttributeSet::TiXmlAttributeSet | ( | const TiXmlAttributeSet & |  | ) | `[private]`

## Member Function Documentation

void TiXmlAttributeSet::Add | ( | TiXmlAttribute * | attribute | ) |

References Find(), TiXmlAttribute::Name(), TiXmlAttribute::next, TiXmlAttribute::prev, sentinel, and TIXML_STRING.

Referenced by TiXmlElement::Parse(), and TiXmlElement::SetAttribute().

TiXmlAttribute* TiXmlAttributeSet::Find | ( | const char * | _name | ) | `[inline]`

const TiXmlAttribute * TiXmlAttributeSet::Find | ( | const char * | _name | ) | const

References TiXmlAttribute::name, TiXmlAttribute::next, and sentinel.

Referenced by Add(), TiXmlElement::Attribute(), TiXmlElement::Parse(), TiXmlElement::QueryDoubleAttribute(), TiXmlElement::QueryIntAttribute(), TiXmlElement::RemoveAttribute(), and TiXmlElement::SetAttribute().

TiXmlAttribute* TiXmlAttributeSet::First | ( |  | ) | `[inline]`

References TiXmlAttribute::next, and sentinel.

const TiXmlAttribute* TiXmlAttributeSet::First | ( |  | ) | const`[inline]`

References TiXmlAttribute::next, and sentinel.

Referenced by TiXmlElement::Accept(), TiXmlElement::ClearThis(), TiXmlElement::CopyTo(), TiXmlElement::FirstAttribute(), and TiXmlElement::Print().

TiXmlAttribute* TiXmlAttributeSet::Last | ( |  | ) | `[inline]`

References TiXmlAttribute::prev, and sentinel.

const TiXmlAttribute* TiXmlAttributeSet::Last | ( |  | ) | const`[inline]`

References TiXmlAttribute::prev, and sentinel.

Referenced by TiXmlElement::LastAttribute().

void TiXmlAttributeSet::operator= | ( | const TiXmlAttributeSet & |  | ) | `[private]`

void TiXmlAttributeSet::Remove | ( | TiXmlAttribute * | attribute | ) |

References TiXmlAttribute::next, TiXmlAttribute::prev, and sentinel.

Referenced by TiXmlElement::ClearThis(), and TiXmlElement::RemoveAttribute().

## Member Data Documentation

TiXmlAttribute TiXmlAttributeSet::sentinel`[private]`

Referenced by Add(), Find(), First(), Last(), Remove(), TiXmlAttributeSet(), and ~TiXmlAttributeSet().

The documentation for this class was generated from the following files:

- src/tinyxml/tinyxml.h
- src/tinyxml/tinyxml.cpp